Package twisted :: Package protocols :: Module sip :: Class InMemoryRegistry |
[frames | no frames]

## Class InMemoryRegistry

A simplistic registry for a specific domain.

Method Summary
| `__init__(self, domain)`
| `_expireRegistration(self, username)`
| `getAddress(self, userURI)`
| `getRegistrationInfo(self, userURI)`
| `registerAddress(self, domainURL, logicalURL, physicalURL)`
| `unregisterAddress(self, domainURL, logicalURL, physicalURL)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.protocols.sip.IRegistry...`

Class Variable Details

    ### __implements__ Type: `tuple` Value:
        (<class twisted.protocols.sip.IRegistry at 0x8aff58c>,
         <class twisted.protocols.sip.ILocator at 0x8807034>)

Generated by Epydoc 2.0 on Sat Oct 25 00:55:05 2003 | http://epydoc.sf.net